default or selected kernelversion does not have config value CONFIG_ATM_AMBASSADOR.
Result is shown for kernelversion 6.9.5

Madge Ambassador (Collage PCI 155 Server)

modulename: ambassador.ko

configname: CONFIG_ATM_AMBASSADOR

Linux Kernel Configuration
└─>Device Drivers
└─>Network device support
└─>ATM drivers
└─>Madge Ambassador (Collage PCI 155 Server)
In linux kernel since version 2.6.12  
This is a driver for ATMizer based ATM card produced by Madge
Networks Ltd. Say Y (or M to compile as a module named ambassador)
here if you have one of these cards.

source code: